Update notification webhook
curl --request PUT \
--url https://semgrep.dev/api/notification_webhooks/deployments/{deploymentId}/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"webhookId": "<string>",
"name": "<string>",
"url": "<string>",
"useNetworkBroker": true,
"removeSecret": true,
"webhookSecret": "<string>"
}
'import requests
url = "https://semgrep.dev/api/notification_webhooks/deployments/{deploymentId}/webhooks/{webhookId}"
payload = {
"deploymentId": "<string>",
"webhookId": "<string>",
"name": "<string>",
"url": "<string>",
"useNetworkBroker": True,
"removeSecret": True,
"webhookSecret": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: '<string>',
webhookId: '<string>',
name: '<string>',
url: '<string>',
useNetworkBroker: true,
removeSecret: true,
webhookSecret: '<string>'
})
};
fetch('https://semgrep.dev/api/notification_webhooks/deployments/{deploymentId}/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"webhook": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"hasSecret": true,
"useNetworkBroker": true
}
}Notification Webhooks
Update notification webhook
Update a notification webhook by replacement.
PUT
/
api
/
notification_webhooks
/
deployments
/
{deploymentId}
/
webhooks
/
{webhookId}
Update notification webhook
This endpoint is experimental. It may change or be removed without notice and is not covered by API stability guarantees.
Authorizations
Get access to data with your user's JSON Web Token.
Body
application/json
The user-specified name for the webhook
The URL endpoint where webhook payloads will be sent
Whether to use the network broker for webhook delivery
Whether to clear the webhook secret
Optional: new webhook secret (if not provided, existing secret is unchanged)
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I